08 September 2009

Dependencies

If you need to run java on Debian, you can install gij.
If you need to run ant, you can install ant.

Unfortunately, if you do this, ant might not work. You may get an error like this:

$ ant
Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-1.5.0-gcj-4.3-1.5.0.0/lib/tools.jar

That file is actually part of the package java-gcj-compat-dev, which is for whatever reason not an ant dependency. Install it and the problem might go away.

No comments:

Post a Comment

About Me

blog at barillari dot org Older posts at http://barillari.org/blog